/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * 计划批次设备关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-12-23 15:34:17  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "计划批次设备关联表")
public class AtuPlanBatchDeviceLink extends Partition
{
  public static final String KEY_id = "id";
  public static final String KEY_batchId = "batchId";
  public static final String KEY_deviceId = "deviceId";
  public static final String KEY_deviceType = "deviceType";
  public static final String KEY_offline = "offline";
  public static final String KEY_offlineTime = "offlineTime";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 批次号<br>
   */
  @ApiModelProperty("批次号")
  @Size(max = 32, message="批次号-batchId: 数据长度不能 > 32" )
  private String batchId;
  /**
   * 设备编号<br>
   */
  @ApiModelProperty("设备编号")
  @Size(max = 32, message="设备编号-deviceId: 数据长度不能 > 32" )
  private String deviceId;
  /**
   * 设备类型;1-PC，2-移动端<br>
   */
  @ApiModelProperty("设备类型;2-PC，1-移动端")
  @Size(max = 1, message="设备类型;2-PC，1-移动端-deviceType: 数据长度不能 > 1" )
  private String deviceType;
  /**
   * 是否离线;0-否，1-是<br>
   */
  @ApiModelProperty("是否离线;0-否，1-是")
  private Boolean offline;
  /**
   * 离线时间<br>
   */
  @ApiModelProperty("离线时间")
  private Date offlineTime;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 批次号<br>
   */
  public String getBatchId()
  {
      return batchId;
    }

  /**
   * 批次号<br>
   *
   * @param batchId 批次号
   */
  public void setBatchId(String batchId)
  {
      this.batchId = batchId;
    }
  /**
   * 设备编号<br>
   */
  public String getDeviceId()
  {
      return deviceId;
    }

  /**
   * 设备编号<br>
   *
   * @param deviceId 设备编号
   */
  public void setDeviceId(String deviceId)
  {
      this.deviceId = deviceId;
    }
  /**
   * 设备类型;1-PC，2-移动端<br>
   */
  public String getDeviceType()
  {
      return deviceType;
    }

  /**
   * 设备类型;1-PC，2-移动端<br>
   *
   * @param deviceType 设备类型;1-PC，2-移动端
   */
  public void setDeviceType(String deviceType)
  {
      this.deviceType = deviceType;
    }
  /**
   * 是否离线;0-否，1-是<br>
   */
  public Boolean getOffline()
  {
      return offline;
    }

  /**
   * 是否离线;0-否，1-是<br>
   *
   * @param offline 是否离线;0-否，1-是
   */
  public void setOffline(Boolean offline)
  {
      this.offline = offline;
    }
  /**
   * 离线时间<br>
   */
  public Date getOfflineTime()
  {
      if(offlineTime != null)
    {
      return (Date)offlineTime.clone();
    }
    return null;
    }

  /**
   * 离线时间<br>
   *
   * @param offlineTime 离线时间
   */
  public void setOfflineTime(Date offlineTime)
  {
      if(offlineTime != null)
    {
      this.offlineTime = (Date)offlineTime.clone();
    }
    }

  public AtuPlanBatchDeviceLink()
  {
  }

}
